import "./color-picker.css";
import { defineComponent as a, openBlock as r, createElementBlock as t, mergeProps as n, createElementVNode as s, toDisplayString as d, createCommentVNode as o, Fragment as c, renderList as u, normalizeClass as p, normalizeStyle as h } from "vue";
import { _ as m } from "../../_plugin-vue_export-helper-dad06003.js";
const _ = a({
  emits: {
    "update:modelValue": (e) => !0,
    change: (e) => !0
  },
  props: {
    errorMessage: {
      required: !1,
      type: [String, Function]
    },
    isError: {
      required: !1,
      type: Boolean
    },
    label: {
      required: !1,
      type: String
    },
    list: {
      required: !0,
      type: Object
    },
    modelValue: {
      required: !1,
      type: String
    },
    value: {
      required: !1,
      type: String
    }
  },
  name: "sb-color-picker",
  data() {
    return {
      selected: this.modelValue || this.value || null
    };
  },
  methods: {
    doSelect(e) {
      this.selected = e, this.$nextTick(() => {
        this.$emit("update:modelValue", this.selected), this.$emit("change", this.selected);
      });
    },
    handleErrorMessage() {
      return this.errorMessage ? typeof this.errorMessage == "string" ? this.errorMessage : this.errorMessage(this.selected) : "";
    },
    isSelected(e) {
      return this.selected ? this.selected === e : !1;
    }
  },
  watch: {
    modelValue: {
      deep: !0,
      handler(e) {
        this.selected = e;
      }
    },
    value: {
      deep: !0,
      handler(e) {
        this.selected = e;
      }
    }
  }
});
const g = {
  key: 0,
  class: "label"
}, f = { class: "input-group colors-wrapper" }, y = ["onClick"], k = {
  key: 1,
  class: "error-wrapper"
}, v = ["innerHTML"];
function M(e, S, $, b, V, q) {
  return r(), t("div", n({ class: "color-wrapper" }, { ...e.$attrs }), [
    e.label ? (r(), t("label", g, [
      s("span", null, d(e.label), 1)
    ])) : o("", !0),
    s("div", f, [
      (r(!0), t(c, null, u(e.list, (l, i) => (r(), t("div", {
        class: p([{
          selected: e.isSelected(l)
        }, "color"]),
        key: i,
        onClick: (E) => e.doSelect(l)
      }, [
        s("div", {
          style: h({ background: l })
        }, null, 4)
      ], 10, y))), 128))
    ]),
    e.isError && e.errorMessage ? (r(), t("div", k, [
      s("span", {
        innerHTML: e.handleErrorMessage()
      }, null, 8, v)
    ])) : o("", !0)
  ], 16);
}
const B = /* @__PURE__ */ m(_, [["render", M], ["__scopeId", "data-v-d5582343"]]);
export {
  B as default
};
